Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1794521 - Current Blender build (2.81.16) is compiled without Open Image Denoise.
Summary: Current Blender build (2.81.16) is compiled without Open Image Denoise.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: blender
Version: 31
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-23 18:24 UTC by Simo_Bonfo
Modified: 2020-02-08 01:37 UTC (History)
6 users (show)

Fixed In Version: blender-2.81a-4.fc31 blender-2.81a-4.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-03 01:21:54 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
The image show the error contained in the denoise node. (deleted)
2020-01-23 18:24 UTC, Simo_Bonfo
no flags Details

Description Simo_Bonfo 2020-01-23 18:24:34 UTC
Created attachment 1654891 [details]
The image show the error contained in the denoise node.

Description of problem:

The current version of blender provided in the Fedora 31 repository is built without the Open Image Denoise algorithm enabled. The same version downloaded from the Blender.org intead has the algorithm enabled during the compilation.


Version-Release number of selected component (if applicable):

2.81.16

How reproducible:

Is reproducible every time.

Steps to Reproduce:
1. Install blender 2.81.16 from the fedora 31 repository
2. Open blender and go into the Compositing tab.
3. Enable the flag "Use nodes" and try to add a "denoise" node.
4. The node contain the error: " Disabled, built without OpenImageDenoise"
5. If you try to use it anyway the render became all black.

Actual results:

The node show the error: " Disabled, built without OpenImageDenoise"

Expected results:

The node doesn't show any error and the algorithm will be used to successfully denoise a render.

Additional info:

The version that is currently available to download from Blender.org (that is the same version of the repo, 2.81.16) use the denoiser without any problem. I've tried with and without the additional OIDN package provided in the fedora repo, but even after a reboot blender show the error.
This if i understand correctly can be solved by recompiling blender with OpenImageDenoise flag enabled. (But i'm not sure of this).

Comment 1 Luya Tshimbalanga 2020-01-26 03:37:43 UTC
Hello Simo_Bonfo

Thank you for sending this report. I was able to reproduce the bug confirming that OpenImageDenoise was disabled.
It turned the build mistakenly uses WITH_OIDN flag rather than WITH_OPENIMAGEDENOISE resulting the lack of denoise functionality.
The next update will come with the fix related to the issue.

Comment 2 Fedora Update System 2020-01-26 04:29:03 UTC
FEDORA-2020-2630d856a0 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2630d856a0

Comment 3 Fedora Update System 2020-01-26 04:29:05 UTC
FEDORA-2020-9702e7e113 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-9702e7e113

Comment 4 Simo_Bonfo 2020-01-26 10:51:36 UTC
(In reply to Luya Tshimbalanga from comment #1)
> Hello Simo_Bonfo
> 
> Thank you for sending this report. I was able to reproduce the bug
> confirming that OpenImageDenoise was disabled.
> It turned the build mistakenly uses WITH_OIDN flag rather than
> WITH_OPENIMAGEDENOISE resulting the lack of denoise functionality.
> The next update will come with the fix related to the issue.

Thank you so much!

Comment 5 Luya Tshimbalanga 2020-01-27 06:42:14 UTC
No problem. Make sure to test the update from comment #3 and #4 and add karma for positive.

Comment 6 Simo_Bonfo 2020-01-27 21:20:32 UTC
Hi, how can i test those update? In the links that you have provided i cannot see how to download/upgrade blender...

I've tried to run something like "sudo dnf upgrade --advisory=FEDORA-2020-2630d856a0" but it gave me "this error": 

No security updates needed, but 0 updates available
Dependencies resolved.
Nothing to do.
Complete!

Am i missing something?

Comment 7 Luya Tshimbalanga 2020-01-28 07:43:20 UTC
Use build instead for testing by following this link: https://koji.fedoraproject.org/koji/buildinfo?buildID=1432443 and update blender and blender-fonts
The update has not reached testing status yet for the command "sudo dnf upgrade --advisory=FEDORA-2020-2630d856a0'

Comment 8 Simo_Bonfo 2020-01-28 21:03:54 UTC
(In reply to Luya Tshimbalanga from comment #7)
> Use build instead for testing by following this link:
> https://koji.fedoraproject.org/koji/buildinfo?buildID=1432443 and update
> blender and blender-fonts
> The update has not reached testing status yet for the command "sudo dnf
> upgrade --advisory=FEDORA-2020-2630d856a0'

Hi, i have tested the update using the command:
sudo rpm -Uvh blender-2.81a-4.fc31.x86_64.rpm blender-fonts-2.81a-4.fc31.noarch.rpm

On fedora 31 works (added karma to the comment #3 link page), tomorrow i will create VM with F30 and test the F30 version as well if you need.

Comment 9 Simo_Bonfo 2020-01-29 20:58:33 UTC
Tested even on F30, now is working correctly in both F30 and F31.
I added karma to both pages by the way. 

Thank you so much.

Comment 10 Fedora Update System 2020-01-31 01:28:02 UTC
blender-2.81a-4.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-2630d856a0

Comment 11 Fedora Update System 2020-01-31 02:25:08 UTC
blender-2.81a-4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-9702e7e113

Comment 12 Luya Tshimbalanga 2020-01-31 17:15:36 UTC
(In reply to Simo_Bonfo from comment #9)
> Tested even on F30, now is working correctly in both F30 and F31.
> I added karma to both pages by the way. 
> 
> Thank you so much.

No problem.

Comment 13 Fedora Update System 2020-02-03 01:21:54 UTC
blender-2.81a-4.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-02-08 01:37:00 UTC
blender-2.81a-4.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.